import pandas as pd

if __name__=="__main__":
    if "snakemake" not in locals():
        import snakemake
        snakemake.output["regional_demand"] = "data/Hotmaps_regional_demand.csv"
        snakemake.output["load_profile_residential"] = "data/hotmaps_task_2.7_load_profile_residential_shw_and_heating_yearlong_2010.csv"
        snakemake.output["heating_technologies"] = "data/Heating_technologies_EU28_v3.csv"
    regional_demand_df = pd.read_csv("https://gitlab.com/hotmaps/regional_demand/-/raw/master/data/Hotmaps_regional_demand.csv?inline=false",sep=";")
    regional_demand_df.to_csv(snakemake.output["regional_demand"],index=False)

    load_profile_df = pd.read_csv("https://gitlab.com/hotmaps/load_profile/load_profile_residential_shw_and_heating_yearlong_2010/-/raw/master/data/hotmaps_task_2.7_load_profile_residential_shw_and_heating_yearlong_2010.csv?inline=false", index_col=0)
    load_profile_df.to_csv(snakemake.output["load_profile_residential"], index=False)
   
    
    heating_tech_df = pd.read_csv("https://gitlab.com/hotmaps/heating_technologies/-/raw/master/data/Heating_technologies_EU28_v3.csv?inline=false",sep=";")
    heating_tech_df.to_csv(snakemake.output["heating_technologies"], index=False)
    

